Subject: Re: rule

From: [email-masked] (Paul M. Aoki)
Date: Thu, 21 Jul 94 01:36:26 -0700

[email-masked] (LI HUA ) writes:
> Hi, I defined a couple of rules, but I can't find
> the command to display the rules which I already
> made.

terse advice:

write it down (at least for rewrite rules).

less-terse advice:

for instance-level rules, you can say
	retrieve (pg_prs2rule.all)
and a bunch of stuff (halfway-explained in the back of the ref 
manual) comes out.  part of this stuff is the text of the rule.

for rewrite rules, the human-readable text of the rule is never 
stored anywhere, so unless you can read the internal query plan 
format, you're pretty much out of luck.  you can get the query
plans by 
	retrieve (pg_rewrite.all)
--
  Paul M. Aoki          |  University of California at Berkeley
  [email-masked]  |  Dept. of EECS, Computer Science Division (#1776) 
                        |  Berkeley, CA 94720-1776

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================